Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.access.trans
Class LOBBatchQueryBuilder

    java.lang.Object
      org.objectstyle.cayenne.access.trans.BatchQueryBuilder
          org.objectstyle.cayenne.access.trans.LOBBatchQueryBuilder

Direct Known Subclasses:
  LOBInsertBatchQueryBuilder, LOBUpdateBatchQueryBuilder

    public abstract class LOBBatchQueryBuilder

extends BatchQueryBuilder

Superclass of query builders for the DML operations involving LOBs.

Author:
  Andrei Adamchik

Field Summary
`protected java.lang.String` | `newBlobFunction`
`protected java.lang.String` | `newClobFunction`

Fields inherited from class org.objectstyle.cayenne.access.trans.BatchQueryBuilder
`adapter, trimFunction`

Constructor Summary
`LOBBatchQueryBuilder(DbAdapter adapter)`

Method Summary
`protected void` | `appendUpdatedParameter(java.lang.StringBuffer buf, DbAttribute dbAttribute, java.lang.Object value)` Appends parameter placeholder for the value of the column being updated.
`void` | `bindParameters(java.sql.PreparedStatement statement, BatchQuery query)` Binds BatchQuery parameters to the PreparedStatement.
`java.lang.String` | `createLOBSelectString(BatchQuery updateQuery, java.util.List selectedLOBAttributes, java.util.List qualifierAttributes)`
`java.lang.String` | `getNewBlobFunction()`
`java.lang.String` | `getNewClobFunction()`
`abstract java.util.List` | `getValuesForLOBUpdateParameters(BatchQuery query)`
`protected boolean` | `isUpdateableColumn(java.lang.Object value, int type)`
`void` | `setNewBlobFunction(java.lang.String string)`
`void` | `setNewClobFunction(java.lang.String string)`

Methods inherited from class org.objectstyle.cayenne.access.trans.BatchQueryBuilder
`appendDbAttribute, bindParameters, createSqlString, getAdapter, getParameterValues, getTrimFunction, setAdapter, setTrimFunction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### newClobFunction

    protected java.lang.String newClobFunction

### newBlobFunction

    protected java.lang.String newBlobFunction

Constructor Detail

### LOBBatchQueryBuilder

    public LOBBatchQueryBuilder(DbAdapter adapter)

Method Detail

### getValuesForLOBUpdateParameters

    public abstract java.util.List getValuesForLOBUpdateParameters(BatchQuery query)

### createLOBSelectString

    public java.lang.String createLOBSelectString(BatchQuery updateQuery,
                                                  java.util.List selectedLOBAttributes,
                                                  java.util.List qualifierAttributes)

### appendUpdatedParameter

    protected void appendUpdatedParameter(java.lang.StringBuffer buf,
                                          DbAttribute dbAttribute,
                                          java.lang.Object value)

  Appends parameter placeholder for the value of the column being updated. If requested, performs special handling on LOB columns.

### bindParameters

    public void bindParameters(java.sql.PreparedStatement statement,
                               BatchQuery query)
                        throws java.sql.SQLException,
                               java.lang.Exception

  Binds BatchQuery parameters to the PreparedStatement.

  Overrides:
    `bindParameters` in class `BatchQueryBuilder`
  Throws:
    `java.sql.SQLException`
    `java.lang.Exception`

### isUpdateableColumn

    protected boolean isUpdateableColumn(java.lang.Object value,
                                         int type)

### getNewBlobFunction

    public java.lang.String getNewBlobFunction()

### getNewClobFunction

    public java.lang.String getNewClobFunction()

### setNewBlobFunction

    public void setNewBlobFunction(java.lang.String string)

### setNewClobFunction

    public void setNewClobFunction(java.lang.String string)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.